using System.Collections.Generic;
using Decimation.Content.Items.Misc;
using Decimation.Lib.Items;
using Terraria;
using Terraria.ID;
using Terraria.ModLoader;

namespace Decimation.Content.Items.Ammo
{
    internal class SiphonArrow : DecimationAmmo
    {
        protected override string ItemName => "Siphon Arrow";
        protected override string ItemTooltip => "Aspires other's life";
        protected override string Projectile => "SiphonArrow";
        protected override int Ammo => AmmoID.Arrow;
        protected override int Damages => 11;

        protected override void InitAmmo()
        {
            item.knockBack = 2;
            item.width = 14;
            item.height = 32;
            item.value = Item.buyPrice(0, 0, 0, 55);

            this.item.shootSpeed = 2.5f;
        }

        protected override List<ModRecipe> GetRecipes()
        {
            ModRecipe recipe = GetNewModRecipe(this, 1, new List<int> {TileID.Anvils});

            recipe.AddIngredient(ItemID.WoodenArrow, 50);
            recipe.AddIngredient(ModContent.ItemType<BloodiedEssence>());

            return new List<ModRecipe> {recipe};
        }
    }
}